import { DigiNgFormCheckboxModule } from '@af/digi-ng/_form/form-checkbox';
import { DigiNgFormRadiobuttonGroupModule } from '@af/digi-ng/_form/form-radiobutton-group';
import { HttpClientTestingModule } from '@angular/common/http/testing';
import { CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { RouterTestingModule } from '@angular/router/testing';
import { LayoutComponent } from '@msfa-shared/components/layout/layout.component';
import { PeriodiskRedovisningFormComponent } from './periodisk-redovisning-form.component';
import { PeriodiskRedovisningFormService } from './periodisk-redovisning-form.service';
import { ApmModule } from '@elastic/apm-rum-angular';

describe('PeriodiskRedovisningFormComponent', () => {
  let component: PeriodiskRedovisningFormComponent;
  let fixture: ComponentFixture<PeriodiskRedovisningFormComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      schemas: [CUSTOM_ELEMENTS_SCHEMA],
      declarations: [PeriodiskRedovisningFormComponent, LayoutComponent],
      imports: [
        RouterTestingModule,
        ApmModule,
        HttpClientTestingModule,
        DigiNgFormRadiobuttonGroupModule,
        DigiNgFormCheckboxModule,
      ],
      providers: [PeriodiskRedovisningFormService],
    }).compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(PeriodiskRedovisningFormComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
